[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.OnNodeChanged

Event handler signalled when the text for a tree node has been changed.

## Declaration

Source position: comctrls.pp line 3691

`protected property TCustomTreeView.OnNodeChanged : TTVNodeChangedEvent read FOnNodeChanged write FOnNodeChanged;`

## Description

OnNodeChanged is a TTVNodeChangedEvent property with the event handler signalled when the text in a tree node has been changed. OnNodeChanged is signalled from the NodeChanged method, and allows actions to be performed when the Node is updated.

NodeChanged and OnNodeChanged are called from the TTreeNode.Changed method, and occurs after the value in the Text property for the TTreeNode instance has been updated.